package smtp

import (
	"fmt"
	"io"
)

type Sender struct{}

func (s *Sender) Name() string {
	return "submission-starttls"
}

// We're looking for the email to be from a logged-in account, to anywhere
// on the internet - including locally!
//
// Should we handle local delivery differently to remote delivery, or connect
// to ourselves, i.e., from submission, to smtp?
func (s *Sender) Send(from string, to []string, reader io.Reader) error {
	return fmt.Errorf("Not yet implemented")
}
